modeller: number used to define a default for a parameter (from a list) is ignored

2015-05-18 08:38 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20865

Description

The default method for saga:slope,aspect etc is 6, whereas the same alg when used in a model has a default of 0.

This is obviously confusing for the users.

Associated revisions

Revision 78359ec5 - 2015-06-22 04:51 PM - Victor Olaya

[processing] use default value in selection parameters in modeler

fixes #12766

History

#1 - 2015-05-21 12:56 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to master

- Category changed from Processing/SAGA to Processing/Modeller

not a saga thing, but a modeller one where the parameter/number used to define the default parameter (from a list) is ignored.

#2 - 2015-05-29 10:52 PM - Giovanni Manghi

- Subject changed from Processing: different default in a module and in the modeller to modeller: number used to define a default for a parameter (from a 

list) is ignored

#3 - 2015-06-22 07:52 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"78359ec510ce222a03d1d98351f241d8f11bbf8b".
